package com.ac.refapp.hybris.service;


import java.util.Properties;

import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;

import com.ac.order.ejbService.JbpmService;
import com.ac.order.ejbService.OrderConstants;


public class EjbLocator {
	private static Context context;
	private static final String PKG_INTERFACES = "org.jboss.ejb.client.naming"; 
	static {
		try {
			Properties properties = new Properties();
			properties.put(Context.URL_PKG_PREFIXES, PKG_INTERFACES); 
			context = new InitialContext(properties);
		} catch (NamingException e) {
			e.printStackTrace();
		}

	}

	public static Object doLookup(String moduleName, String beanName,
			String interfaceName) {
		Object bean = null;
		try {
			// 2. Generate JNDI Lookup name
			StringBuffer stringBuffer = new StringBuffer();
			stringBuffer.append("ejb:/");
			stringBuffer.append(moduleName);
			stringBuffer.append("/");
			stringBuffer.append(beanName);
			stringBuffer.append("!");
			stringBuffer.append(interfaceName);
			System.out.println("***************look up ejb:"+stringBuffer);
			bean = context.lookup(stringBuffer.toString());

		} catch (Exception e) {
			e.printStackTrace();
		}
		return bean;
	}
	
	public static JbpmService getJbpmService()
	{
		return (JbpmService)doLookup(OrderConstants.ORDER_WEBAPP_MODULE_NAME, OrderConstants.ORDER_WEBAPP_BEAN_NAME, OrderConstants.ORDER_WEBAPP_INTERFACE_NAME);
	}
	
	public static void main(String[] args) {
		System.out.println(getJbpmService());
	}

}
